zipimport (Jython API documentation)
Date: 2024-08-18

org.python.modules.zipimport

## Class zipimport

- java.lang.Object
- - org.python.modules.zipimport.zipimport

- All Implemented Interfaces:
    ClassDictInit

      public class zipimport
      extends java.lang.Object
      implements ClassDictInit

  This module adds the ability to import Python modules (*.py, *$py.class) and packages from ZIP-format archives.
  Author:
    Philip Jenvey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyString` | `__doc__`
    `static PyDictionary` | `_zip_directory_cache`
    `static PyObject` | `ZipImportError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `zipimport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `classDictInit(PyObject dict)`
    `static void` | `initClassExceptions(PyObject exceptions)` Initialize the ZipImportError exception during startup
    `static PyException` | `ZipImportError(java.lang.String message)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __doc__

          public static final PyString __doc__

    - #### ZipImportError

          public static PyObject ZipImportError

    - #### _zip_directory_cache

          public static PyDictionary _zip_directory_cache

  - ### Constructor Detail

    - #### zipimport

          public zipimport()

  - ### Method Detail

    - #### ZipImportError

          public static PyException ZipImportError(java.lang.String message)

    - #### classDictInit

          public static void classDictInit(PyObject dict)

    - #### initClassExceptions

          public static void initClassExceptions(PyObject exceptions)

      Initialize the ZipImportError exception during startup

Jython homepage